swagger: '2.0'
host: localhost:8080
basePath: /
schemes:
  - http
consumes:
  - application/json
produces:
  - application/json
info:
  version: 1.0.0
  title: qorpo-asset-manager
  description: Autogenerated API for qorpo-asset-manager
  contact:
    name: orchestrator
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
paths:
  /assets/{asset_id}:
    get:
      responses:
        '200':
          schema:
            $ref: '#/definitions/GeneratedSchema5'
          description: ''
      parameters:
        - in: path
          name: asset_id
          required: true
          type: string
      tags:
        - assets
      produces:
        - application/json
    patch:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema9'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema10'
        - in: path
          name: asset_id
          required: true
          type: string
      tags:
        - assets
      produces:
        - application/json
    delete:
      responses:
        '200':
          schema:
            $ref: '#/definitions/GeneratedSchema14'
          description: ''
      parameters:
        - in: path
          name: asset_id
          required: true
          type: string
      tags:
        - assets
      produces:
        - application/json
  /assets:
    post:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema7'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema8'
      tags:
        - assets
      produces:
        - application/json
    get:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema12'
          description: ''
      parameters:
        - in: query
          name: count
          required: false
          type: number
          format: float
          x-nullable: true
        - in: query
          name: order_key
          required: false
          x-nullable: true
          type: string
          enum:
            - asset_id
            - asset_type_id
            - is_virtual_asset
            - user_wallet
            - count
            - frozen_count
            - extras
            - rented_from_id
            - rented_until
            - rent_data
            - updated_at
            - created_at
            - location
            - is_searchable
        - in: query
          name: updated_at
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: offset
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: location
          required: false
          type: string
          x-nullable: true
        - in: query
          name: limit
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: rented_from_id
          required: false
          type: string
          x-nullable: true
        - in: query
          name: order_type
          required: false
          x-nullable: true
          type: string
          enum:
            - asc
            - dsc
        - in: query
          name: frozen_count
          required: false
          type: number
          format: float
          x-nullable: true
        - in: query
          name: user_wallet
          required: false
          type: string
          x-nullable: true
        - in: query
          name: created_at
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: asset_id
          required: false
          type: string
          x-nullable: true
        - in: query
          name: rented_until
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: is_searchable
          required: false
          type: boolean
          x-nullable: true
        - in: query
          name: is_virtual_asset
          required: false
          type: boolean
          x-nullable: true
        - in: query
          name: asset_type_id
          required: false
          type: string
          x-nullable: true
      tags:
        - assets
      produces:
        - application/json
  /assets/{asset_id}/delta:
    patch:
      responses:
        '200':
          schema:
            $ref: '#/definitions/GeneratedSchema16'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema17'
        - in: path
          name: asset_id
          required: true
          type: string
      tags:
        - assets
      produces:
        - application/json
  /assets/{user_wallet}/funds:
    get:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema19'
          description: ''
      parameters:
        - in: query
          name: limit
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: order_key
          required: false
          x-nullable: true
          type: string
          enum:
            - asset_id
            - asset_type_id
            - is_virtual_asset
            - user_wallet
            - count
            - frozen_count
            - extras
            - rented_from_id
            - rented_until
            - rent_data
            - updated_at
            - created_at
            - location
            - is_searchable
        - in: query
          name: order_type
          required: false
          x-nullable: true
          type: string
          enum:
            - asc
            - dsc
        - in: query
          name: offset
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: path
          name: user_wallet
          required: true
          type: string
      tags:
        - assets
      produces:
        - application/json
  /asset-types:
    get:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema22'
          description: ''
      parameters:
        - in: query
          name: contract_address
          required: false
          type: string
          x-nullable: true
        - in: query
          name: order_key
          required: false
          x-nullable: true
          type: string
          enum:
            - asset_type_id
            - blockchain
            - contract_address
            - token_id
            - name
            - description
            - image_url
            - animation_url
            - asset_type_metadata
            - updated_at
            - created_at
            - extras
            - allowed_platforms
            - collection_id
            - is_top
            - is_money
        - in: query
          name: description
          required: false
          type: string
          x-nullable: true
        - in: query
          name: animation_url
          required: false
          type: string
          x-nullable: true
        - in: query
          name: offset
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: token_id
          required: false
          type: string
          x-nullable: true
        - in: query
          name: limit
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: updated_at
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: order_type
          required: false
          x-nullable: true
          type: string
          enum:
            - asc
            - dsc
        - in: query
          name: image_url
          required: false
          type: string
          x-nullable: true
        - in: query
          name: collection_id
          required: false
          type: string
          x-nullable: true
        - in: query
          name: is_top
          required: false
          type: boolean
          x-nullable: true
        - in: query
          name: name
          required: false
          type: string
          x-nullable: true
        - in: query
          name: created_at
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: is_money
          required: false
          type: boolean
          x-nullable: true
        - in: query
          name: blockchain
          required: false
          type: string
          x-nullable: true
        - in: query
          name: asset_type_id
          required: false
          type: string
          x-nullable: true
      tags:
        - asset-types
      produces:
        - application/json
    post:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema24'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema25'
      tags:
        - asset-types
      produces:
        - application/json
  /asset-types/{asset_type_id}:
    patch:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema26'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema27'
        - in: path
          name: asset_type_id
          required: true
          type: string
      tags:
        - asset-types
      produces:
        - application/json
    delete:
      responses:
        '200':
          schema:
            $ref: '#/definitions/GeneratedSchema29'
          description: ''
      parameters:
        - in: path
          name: asset_type_id
          required: true
          type: string
      tags:
        - asset-types
      produces:
        - application/json
  /transactions/{user_id}:
    get:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema31'
          description: ''
      parameters:
        - in: query
          name: order_key
          required: false
          x-nullable: true
          type: string
          enum:
            - asset_type_id
            - blockchain
            - contract_address
            - token_id
            - name
            - description
            - image_url
            - animation_url
            - asset_type_metadata
            - updated_at
            - created_at
            - extras
            - allowed_platforms
            - collection_id
            - is_top
            - is_money
        - in: query
          name: offset
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: location
          required: false
          type: string
          x-nullable: true
        - in: query
          name: limit
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: query
          name: type
          required: false
          type: string
          x-nullable: true
        - in: query
          name: order_type
          required: false
          x-nullable: true
          type: string
          enum:
            - asc
            - dsc
        - in: query
          name: created_at
          required: false
          type: integer
          format: int32
          x-nullable: true
        - in: path
          name: user_id
          required: true
          type: string
      tags:
        - transactions
      produces:
        - application/json
  /transactions:
    post:
      responses:
        '200':
          schema:
            type: array
            items:
              $ref: '#/definitions/GeneratedSchema34'
          description: ''
      parameters:
        - in: body
          required: false
          name: body
          schema:
            $ref: '#/definitions/GeneratedSchema35'
      tags:
        - transactions
      produces:
        - application/json
definitions:
  GeneratedSchema5.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      name:
        type: string
        x-nullable: true
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      image_url:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
  GeneratedSchema5.asset:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema5.collection:
    type: object
    properties:
      contract_address:
        type: string
      collection_desc:
        type: string
        x-nullable: true
      decimals:
        type: integer
        format: int32
      contract_owner:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      collection_image:
        type: string
        x-nullable: true
      collection_external_link:
        type: string
        x-nullable: true
      collection_name:
        type: string
        x-nullable: true
    required:
      - contract_address
      - decimals
  GeneratedSchema5:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema5.asset_type'
      asset:
        $ref: '#/definitions/GeneratedSchema5.asset'
      collection:
        $ref: '#/definitions/GeneratedSchema5.collection'
    required:
      - asset
      - asset_type
      - collection
  GeneratedSchema8:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      contract_address:
        type: string
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      token_id:
        type: string
        x-nullable: true
      blockchain:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: number
        format: float
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      rented_from_id:
        type: string
    required:
      - blockchain
      - contract_address
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema7.asset:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema7:
    type: object
    properties:
      asset:
        $ref: '#/definitions/GeneratedSchema7.asset'
    required:
      - asset
  GeneratedSchema10:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      location:
        type: string
        x-nullable: true
      rented_from_id:
        type: string
        x-nullable: true
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
        x-nullable: true
  GeneratedSchema9.asset:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema9:
    type: object
    properties:
      asset:
        $ref: '#/definitions/GeneratedSchema9.asset'
    required:
      - asset
  GeneratedSchema12.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      name:
        type: string
        x-nullable: true
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      image_url:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
  GeneratedSchema12.asset:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema12.collection:
    type: object
    properties:
      contract_address:
        type: string
      collection_desc:
        type: string
        x-nullable: true
      decimals:
        type: integer
        format: int32
      contract_owner:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      collection_image:
        type: string
        x-nullable: true
      collection_external_link:
        type: string
        x-nullable: true
      collection_name:
        type: string
        x-nullable: true
    required:
      - contract_address
      - decimals
  GeneratedSchema12:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema12.asset_type'
      asset:
        $ref: '#/definitions/GeneratedSchema12.asset'
      collection:
        $ref: '#/definitions/GeneratedSchema12.collection'
    required:
      - asset
      - asset_type
      - collection
  GeneratedSchema14:
    type: object
    properties:
      response:
        type: boolean
    required:
      - response
  GeneratedSchema17:
    type: object
    properties:
      frozen_count:
        type: number
        format: float
        x-nullable: true
      count:
        type: number
        format: float
        x-nullable: true
  GeneratedSchema16:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema19.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      name:
        type: string
        x-nullable: true
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      image_url:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
  GeneratedSchema19.asset:
    type: object
    properties:
      count:
        type: number
        format: float
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      location:
        type: string
      rented_from_id:
        type: string
      frozen_count:
        type: number
        format: float
        x-nullable: true
      is_searchable:
        type: boolean
        x-nullable: true
      user_wallet:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_id:
        type: string
        x-nullable: true
      rented_until:
        type: integer
        format: int32
        x-nullable: true
      rent_data:
        type: object
      extras:
        type: object
      is_virtual_asset:
        type: boolean
        x-nullable: true
      asset_type_id:
        type: string
    required:
      - asset_type_id
      - location
      - rented_from_id
      - user_wallet
  GeneratedSchema19.collection:
    type: object
    properties:
      contract_address:
        type: string
      collection_desc:
        type: string
        x-nullable: true
      decimals:
        type: integer
        format: int32
      contract_owner:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      collection_image:
        type: string
        x-nullable: true
      collection_external_link:
        type: string
        x-nullable: true
      collection_name:
        type: string
        x-nullable: true
    required:
      - contract_address
      - decimals
  GeneratedSchema19:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema19.asset_type'
      asset:
        $ref: '#/definitions/GeneratedSchema19.asset'
      collection:
        $ref: '#/definitions/GeneratedSchema19.collection'
    required:
      - asset
      - asset_type
      - collection
  GeneratedSchema22.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      allowed_platforms:
        type: object
      image_url:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      is_top:
        type: boolean
      name:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_type_metadata:
        type: object
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      extras:
        type: object
      asset_type_id:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
      - is_top
  GeneratedSchema22.collection:
    type: object
    properties:
      contract_address:
        type: string
      collection_desc:
        type: string
        x-nullable: true
      decimals:
        type: integer
        format: int32
      contract_owner:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      collection_image:
        type: string
        x-nullable: true
      collection_external_link:
        type: string
        x-nullable: true
      collection_name:
        type: string
        x-nullable: true
    required:
      - contract_address
      - decimals
  GeneratedSchema22:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema22.asset_type'
      collection:
        $ref: '#/definitions/GeneratedSchema22.collection'
    required:
      - asset_type
      - collection
  GeneratedSchema25:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      blockchain:
        type: string
        enum:
          - eth
          - bnb
          - matic
      allowed_platforms:
        type: object
      image_url:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      is_top:
        type: boolean
        x-nullable: true
      name:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_type_metadata:
        type: object
      is_money:
        type: boolean
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      extras:
        type: object
      asset_type_id:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
  GeneratedSchema24.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      allowed_platforms:
        type: object
      image_url:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      is_top:
        type: boolean
      name:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_type_metadata:
        type: object
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      extras:
        type: object
      asset_type_id:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
      - is_top
  GeneratedSchema24:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema24.asset_type'
    required:
      - asset_type
  GeneratedSchema27:
    type: object
    properties:
      contract_address:
        type: string
        x-nullable: true
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      blockchain:
        x-nullable: true
        type: string
        enum:
          - eth
          - bnb
          - matic
      allowed_platforms:
        type: object
      collection_id:
        type: string
        x-nullable: true
      is_top:
        type: boolean
        x-nullable: true
      name:
        type: string
        x-nullable: true
      asset_type_metadata:
        type: object
      is_money:
        type: boolean
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      extras:
        type: object
      image_url:
        type: string
        x-nullable: true
  GeneratedSchema26.asset_type:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      animation_url:
        type: string
        x-nullable: true
      updated_at:
        type: integer
        format: int32
        x-nullable: true
      token_id:
        type: string
        x-nullable: true
      allowed_platforms:
        type: object
      image_url:
        type: string
        x-nullable: true
      collection_id:
        type: string
        x-nullable: true
      is_top:
        type: boolean
      name:
        type: string
        x-nullable: true
      created_at:
        type: integer
        format: int32
        x-nullable: true
      asset_type_metadata:
        type: object
      is_money:
        type: boolean
        x-nullable: true
      blockchain:
        type: string
      extras:
        type: object
      asset_type_id:
        type: string
        x-nullable: true
    required:
      - blockchain
      - contract_address
      - is_top
  GeneratedSchema26:
    type: object
    properties:
      asset_type:
        $ref: '#/definitions/GeneratedSchema26.asset_type'
    required:
      - asset_type
  GeneratedSchema29:
    type: object
    properties:
      response:
        type: boolean
    required:
      - response
  GeneratedSchema31.transaction:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      data:
        type: object
      location:
        type: string
        x-nullable: true
      token_id:
        type: string
      type:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      user_wallet:
        type: string
      name:
        type: string
      transaction_id:
        type: string
        x-nullable: true
      delta:
        type: number
        format: float
    required:
      - contract_address
      - delta
      - name
      - token_id
      - type
      - user_wallet
  GeneratedSchema31:
    type: object
    properties:
      transaction:
        $ref: '#/definitions/GeneratedSchema31.transaction'
    required:
      - transaction
  GeneratedSchema35:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      data:
        type: object
      location:
        type: string
        x-nullable: true
      token_id:
        type: string
      type:
        type: string
      user_wallet:
        type: string
      name:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      transaction_id:
        type: string
        x-nullable: true
      delta:
        type: number
        format: float
    required:
      - contract_address
      - delta
      - name
      - token_id
      - type
      - user_wallet
  GeneratedSchema34.transaction:
    type: object
    properties:
      contract_address:
        type: string
      description:
        type: string
        x-nullable: true
      data:
        type: object
      location:
        type: string
        x-nullable: true
      token_id:
        type: string
      type:
        type: string
      created_at:
        type: integer
        format: int32
        x-nullable: true
      user_wallet:
        type: string
      name:
        type: string
      transaction_id:
        type: string
        x-nullable: true
      delta:
        type: number
        format: float
    required:
      - contract_address
      - delta
      - name
      - token_id
      - type
      - user_wallet
  GeneratedSchema34:
    type: object
    properties:
      transaction:
        $ref: '#/definitions/GeneratedSchema34.transaction'
    required:
      - transaction
